AMBRY TRADING CO., LIMITED
News Center
Current position:Home > News Center > Notice
Notice

Old Version of MT4 Can't Log In

Refresh time:2019-03-01

Since Midak will no longer support the MetaTrader 4 build 1118 desktop and lower than the MetaTrader 4 Android build 1104 mobile from March 1st, 2019, the old terminal will not be able to connect to the dealer's transaction from 1st March 2019 onwards. This will caused the failure to open a position and close position.

All investors are reminded that if there is an abnormality in the MT4 software, please go to the official website of SENGELA  to download the latest version.


Customer Service Email: web@AMBRYsun.com

Best regards.

AMBRY

March 1, 2019